local gearT = {
    [-1] = "R",
    [0] = "N",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8"
    
}
local avg_fuel_per_km = 2.5

-- Make sure 'car.fuel' exists and is a valid number
local fuel = car.fuel or 0

-- Calculate the estimated range
local range_km = 0
if avg_fuel_per_km > 0 then
  range_km = fuel / avg_fuel_per_km
end


local white = rgb(1,1,1)

function update(dt)
    display.text({ text = string.format("%02d:%02d", sim.timeHours, sim.timeMinutes), pos = vec2(300.7, 415.1), letter = vec2(75, 150), font ='digital_mid', color = white, alignment =0.9, width = 0, spacing = 1 })
    display.text({ text = math.floor(car.speedKmh ), pos = vec2(810.7, 1788), letter = vec2(45, 90), font = '992speed', color = white, alignment =1, width = 255, spacing = 1})
    display.text({ text = string.format("%02d", car.distanceDrivenTotalKm ), pos = vec2(295, 1917), letter = vec2(17.5, 35), font =  "fonts/992", color = white, alignment =1, width = 250, spacing = 1 })
    display.text({ text = string.format("%01d", car.distanceDrivenSessionKm),pos = vec2(308, 1946), letter = vec2(17.5, 35), font = "fonts/992", color = white, alignment =1, width = 250, spacing = 1 })
    display.text({ text = string.format("%02d:%02d", sim.timeHours, sim.timeMinutes), pos = vec2(105.8, 1759.8), letter = vec2(25,50), font = "fonts/992", color = white, alignment =0.0, width = 0, spacing =0 })
    display.text({ text = string.format("%02d", sim.ambientTemperature), pos = vec2(137.8, 1820.8), letter = vec2(20,40), font = "fonts/992", color = white, alignment =0.0, width = 0, spacing =0 })
    display.text({ text = math.floor(car.fuel ), pos = vec2(1750, 1760), letter = vec2(25,50), font = "fonts/992", color = white, alignment =0.5, width = 255, spacing = 1})


   end



  
   